Bug 1316494 - OData - updating of raw value fails (PUT method to URL with path $value)
OData - updating of raw value fails (PUT method to URL with path $value)
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.3.0
Assigned To: Van Halbert
Juraj Duráni
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 06:09 EST by Juraj Duráni
Modified: 2016-08-24 07:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-24 07:42:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-4055 Major Closed OData - updating of raw value fails (PUT method to URL with path $value) 2016-06-15 08:34 EDT

  None (edit)
Description Juraj Duráni 2016-03-10 06:09:00 EST
Description of problem:
*URL:* http://localhost:8080/odata4/olingo_basic/Source/PutPropTable(1)/name/$value
*Method:* PUT
*Header:* Content-type: text/plain
*Body of request:* it is build like this:
new ByteArrayInputStream("6".getBytes())
*Response:* The content-type range 'application/xml' is not supported as value of the Accept header.
*Status code:* 406
Comment 1 JBoss JIRA Server 2016-03-17 18:34:44 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-4055 to Coding In Progress
Comment 2 JBoss JIRA Server 2016-03-29 10:20:43 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-4055 to Resolved
Comment 3 JBoss JIRA Server 2016-06-15 08:34:49 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4055 to Closed

Note You need to log in before you can comment on or make changes to this bug.